Subject: Re: [PATCH] net: qcom/emac: claim the irq only when the device is opened

From: Timur Tabi <[email-masked]>
Date: Fri, 20 Jan 2017 15:36:23 -0600

On 01/20/2017 03:31 PM, Lino Sanfilippo wrote:
>
> In emac_mac_down() however we need synchronize_irq(), since it ensures
> that the irq
> handler is not running any more when it (synchronize_irq) returns.

So in general, if a driver disables a interrupt but does not free it, it 
should call synchronize_irq()?

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.